[USRP-users] The FPGA build is not compatible with the host code build

Martin Braun martin.braun at ettus.com
Tue Apr 14 14:35:54 EDT 2015


Yue,

I recommend git-pulling UHD to the latest maint version, and then 
running the commands again. That should fix the issue (see also my 
previous email with the 3.8.3 release announcement).

Cheers,
Martin

On 14.04.2015 08:59, Yue Zheng via USRP-users wrote:
> Hi all,
>
> I'm a new user of GNURadio and USRP. I used the script "build-gnuradio"
> to download the source and have installed them all.But when I tried the
> "uhd_fft", the terminal showed as belows:
>
> Linux; GNU C++ version 4.6.3; Boost_104800; UHD_003.008.002-168-gddae9468
>
> -- Opening a USRP2/N-Series device...
> -- Current recv frame size: 1472 bytes
> -- Current send frame size: 1472 bytes
> RuntimeError:
> Please update the firmware and FPGA images for your device.
> See the application notes for USRP2/N-Series for instructions.
> Expected FPGA compatibility number 11, but got 10:
> The FPGA build is not compatible with the host code build.
> Please run:
>
>   "/usr/local/lib/uhd/utils/uhd_images_downloader.py"
> "/usr/local/lib/uhd/utils/usrp_n2xx_simple_net_burner" \
>      --addr="192.168.10.2"
>
> I followed the instruction as above. However, the problem still exists.
> I noticed that the images it downloaded is
> "uhd-images_003.008.002-157-gbe03e694.zip",which seemed to be not
> compatible with UHD_003.008.002-168-gddae9468.
>
> Can anyone tell me how to figure it out ? which of the files on
> http://files.ettus.com/binaries/images/  is number 11?
>
> Thanks very much.
>
> Yue
>
>
>
>
>
>
>
>
>
> _______________________________________________
> USRP-users mailing list
> USRP-users at lists.ettus.com
> http://lists.ettus.com/mailman/listinfo/usrp-users_lists.ettus.com
>





More information about the USRP-users mailing list